Subject: Re: [Autoconf] tentative draft-ietf-autoconf-problem-statement-03.txt and the manetarch document

From: Shubhranshu <[email-masked]>
Date: Sat, 24 Nov 2007 01:41:55 +0900

Alex,

Please see below.

----- Original Message -----
From: "Alexandru Petrescu" <[email-masked]>

> Shubhranshu wrote:
> [...]
>> I can see the problem being described here but yes I agree that it
>> needs to be expanded, to further calrify things. See below.
>
> Shubhranshu, thank you for reading my proposal text.  I'm taking the
> comments.  I think I will make modifications as you suggest (see below)
> but I don't think I will do them right away.  I think I will do that for
> the next next IETF (after Vancouver), to let time for things to settle.

Thanks. I sent some of my thoughts a while before hoping that it would
help continue our discussion and make some progress even before the
Vancouver meeting. I look forward to hear your comments as well....:-)

>
> Besides, there may be some impact in how the manetarch document is
> written: should the manetarch document picture a non-hierarchical
> addressing architecture (in addition to the pictured _hierarchical_
> addressing architecture Figure 6).  I think yes because that (manetarch)
> draft says that "MANETs of those sizes can perform reasonably well in
> many cases w/o hierarchy" - what does "hierachy" mean?

I think you are talking about section 8.2. Its Routing hierarchy.

<snip>
> Shubhranshu, I can try to re-formulate that text to express better that
> that is a problem not a solution.  If one tries to run DHCPv6 Server and
> a DHCPv6 Relay, and then a Router behind the Relay requests for a prefix
> (with DHCPv6 PRefix Delegation) then one realizes that (1) the allocated
> prefix must be hierarchically[*] fit within the prefix administratively
> assigned on the Relay's interface towards Router and (2) once the prefix
> is allocated it will unfortunately _not_ be inserted in DHCP Server's
> routing table (because it is already covered by the routing entry
> pointing to Relay's prefix).
>
> This is a problem from implementation.
>
> It could help if we had a requirement (within a bulleted list of Req
> items) on architecture of unicast prefixes assigned on MANET subnets to
> be able to be both hierarchical and non-hierarchical - i.e. there should
> be no strict hierarchical relationship between IPv6 prefixes assigned to
> the MANET subnets (even when the pictured topology seems hierarchical
> tree-like).

Above you said "the allocated prefix must be hierarchically[*] fit.."
but your requirement in the immediately above paragraph is "there
should be no strict hierarchical relationship between IPv6 prefixes
assigned". I guess I am missing something since these two sounds
contradicting to me.

>
> To better explain that need to support non-hierarchical addressing
> architectures one would first have to explain hierarchical address
> architecture and then, keeping the same topology, one would do a
> non-hierarchical addressing architecture.  I describe this below.
> (Remark that the manetarch draft only pictures a _hierarchical_
> addressing architecture in Figure 6.)
>
> An example of a non-hierarchical address architecture followed by a
> hierarchical address architecture is illustrated below.  Assume three
> prefixes: 8000::/length (also represented as "100..." meaning first 3
> bits are "100" and then followed by 125 0s), 4000::/length (010...) and
> c000::/length (110...) and three MANET Routers.
>
> Hierarchical IPv6 address architecture on a topology illustrated as a tree:
>                            ------
>                           |MANET |
>                           |Router|
>                            ------
>                          /        \
>               8000::/1  /          \ 4000::/1
>               (100...) /            \(010...)
>                     ------        ------
>                    |MANET |      |MANET |
>                    |Router|      |Router|
>                     ------        ------
>                        |
>                        | c000::/2
>                          (110...)
>
> Same topology illustrated linearly, and with a IPv6 non-hierarchical
> addressing architecture:
>
>                 ------            ------            ------
>         -------|MANET |----------|MANET |----------|MANET |
>        8000::/1|Router| 4000::/1 |Router| c000::/1 |Router|
>        (100...) ------  (010...)  ------  (110...)  ------
>
> Both types of IPv6 addressing architecture should be supported by an
> address auto-configuration protocol for MANETs.  This is a requirement,
> within a buletted list.

Thanks. You explained very well but I am not yet decided on this.
Perhaps I need to further analyse both of them. I'll do that.

- Shubhranshu

>
> (if/when this description of hierarchy is agreed then I can suggest
>  another useful addressing architecture from MANEMO).
>
> For solution, for example, one could write spec to say that a MANET
> Router acting as a DHCP Server and requesting PD requests from a MANET
> Router acting as a Relay will always update its forwarding information
> base with respect to that Relay and the allocated prefix.  This is
> indeed part of solution.
>
>>>>    These are two issues that appear in the topology pictured in Figure
>>>>    1.  In this figure the DHCP Server, Border Router, MR1 and MR3 are
>>>>    assumed to be stable non-moving (only MR2 moves).  If we consider
>>>>    that any entities will also move then there may be more DHCP issues
>>>>    that could be identified.
>>
>> Yes.
>
> Ok.  I think some more could be identified.  Emmanuel asked the same
> thing.  I think it will take some time to identify them, that's why I
> postpone it to next next IETF.
> Please accept my excuses if this looks too pedagogical... it's just my
> means to communicate...
>
> Alex

_______________________________________________
Autoconf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/autoconf

---

From: Alexandru Petrescu <[email-masked]>
Date: Fri, 23 Nov 2007 18:00:30 +0100

> Above you said "the allocated prefix must be hierarchically[*] fit.."

[*]: that's what some DHCPv6 implementation requires.  It may be a DHCP 
problem that could be corrected.

> assigned". I guess I am missing something since these two sounds

I agree with you and others that in a MANET Network the IPv6 Addressing 
Architecture should not rely on prefixes being aggregated 
hierarchically.  The AUTOCONF protocol and MANET protocol should work 
regardless of the IPv6 addressing architecture being hierarchical or not 
  hierarchical.  I've probably been not clear enough.  This is a good 
requirement I agree on.

Alex

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________